// lib/dynamic-form-input-mask.component.mjs
import { NgIf } from "@angular/common";
import { Component, ViewChild } from "@angular/core";
import { NgControl, ReactiveFormsModule } from "@angular/forms";
import { MatFormFieldModule } from "@angular/material/form-field";
import { MatInput, MatInputModule } from "@angular/material/input";
import { DynamicFormElementComponent } from "@dynamic-forms/core";
import { DynamicFormInputMaskBase, DynamicFormInputMaskDirective } from "@dynamic-forms/core/input-mask";
import * as i0 from "@angular/core";
import * as i1 from "@dynamic-forms/core";
import * as i2 from "@angular/forms";
import * as i3 from "@angular/material/input";
import * as i4 from "@angular/material/form-field";
var MatDynamicFormInputMaskComponent = class _MatDynamicFormInputMaskComponent extends DynamicFormInputMaskBase {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  ngOnInit() {
    this._matInput.ngControl = this._ngControl;
    this._matInput["_errorStateTracker"].ngControl = this._ngControl;
  }
  static {
    this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i0, type: _MatDynamicFormInputMaskComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _MatDynamicFormInputMaskComponent, isStandalone: true, selector: "mat-dynamic-form-input-mask", viewQueries: [{ propertyName: "_matInput", first: true, predicate: MatInput, descendants: true, static: true }, { propertyName: "_ngControl", first: true, predicate: NgControl, descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: `<mat-form-field appearance="fill" color="primary" [floatLabel]="template.labelFloating" [class.suffixes-flex]="suffixAddOn">
  <mat-label>{{ template.label }}</mat-label>
  <input matInput [dynamicFormInputMask]="inputMask" [id]="inputId" [placeholder]="input.placeholder" [formControl]="control" />
  <dynamic-form-element *ngIf="prefixAddOn?.classType === 'element' && !prefixAddOn.hidden" matTextPrefix [element]="prefixAddOn" />
  <dynamic-form-element
    *ngIf="prefixAddOn && prefixAddOn.classType !== 'element' && !prefixAddOn.hidden"
    matPrefix
    [element]="prefixAddOn"
  />
  <dynamic-form-element *ngIf="suffixAddOn?.classType === 'element' && !suffixAddOn.hidden" matTextSuffix [element]="suffixAddOn" />
  <dynamic-form-element
    *ngIf="suffixAddOn && suffixAddOn.classType !== 'element' && !suffixAddOn.hidden"
    matSuffix
    [element]="suffixAddOn"
  />
  <mat-hint align="start">{{ hints?.hintStart }}</mat-hint>
  <mat-hint align="end">{{ hints?.hintEnd }}</mat-hint>
  <mat-error>{{ errorMessage }}</mat-error>
</mat-form-field>
`, dependencies: [{ kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: DynamicFormInputMaskDirective, selector: "[dynamicFormInputMask]", inputs: ["dynamicFormInputMask"], exportAs: ["dynamicFormInputMask"] }, { kind: "component", type: DynamicFormElementComponent, selector: "dynamic-form-element" }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i3.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i4.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i4.MatLabel, selector: "mat-label" }, { kind: "directive", type: i4.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i4.MatError, selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i4.MatPrefix, selector: "[matPrefix], [matIconPrefix], [matTextPrefix]", inputs: ["matTextPrefix"] }, { kind: "directive", type: i4.MatSuffix, selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: MatFormFieldModule }] });
  }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i0, type: MatDynamicFormInputMaskComponent, decorators: [{
  type: Component,
  args: [{ standalone: true, selector: "mat-dynamic-form-input-mask", imports: [NgIf, ReactiveFormsModule, DynamicFormInputMaskDirective, DynamicFormElementComponent, MatInputModule, MatFormFieldModule], template: `<mat-form-field appearance="fill" color="primary" [floatLabel]="template.labelFloating" [class.suffixes-flex]="suffixAddOn">
  <mat-label>{{ template.label }}</mat-label>
  <input matInput [dynamicFormInputMask]="inputMask" [id]="inputId" [placeholder]="input.placeholder" [formControl]="control" />
  <dynamic-form-element *ngIf="prefixAddOn?.classType === 'element' && !prefixAddOn.hidden" matTextPrefix [element]="prefixAddOn" />
  <dynamic-form-element
    *ngIf="prefixAddOn && prefixAddOn.classType !== 'element' && !prefixAddOn.hidden"
    matPrefix
    [element]="prefixAddOn"
  />
  <dynamic-form-element *ngIf="suffixAddOn?.classType === 'element' && !suffixAddOn.hidden" matTextSuffix [element]="suffixAddOn" />
  <dynamic-form-element
    *ngIf="suffixAddOn && suffixAddOn.classType !== 'element' && !suffixAddOn.hidden"
    matSuffix
    [element]="suffixAddOn"
  />
  <mat-hint align="start">{{ hints?.hintStart }}</mat-hint>
  <mat-hint align="end">{{ hints?.hintEnd }}</mat-hint>
  <mat-error>{{ errorMessage }}</mat-error>
</mat-form-field>
` }]
}], ctorParameters: () => [{ type: i1.DynamicFormValidationService }], propDecorators: { _matInput: [{
  type: ViewChild,
  args: [MatInput, { static: true }]
}], _ngControl: [{
  type: ViewChild,
  args: [NgControl, { static: true }]
}] } });

// lib/dynamic-form-input-mask.module.mjs
import { NgModule } from "@angular/core";
import { importDynamicFormsProviders, withDynamicFormInputs } from "@dynamic-forms/core";
import { DynamicFormInputMaskControl } from "@dynamic-forms/core/input-mask";
import { matDynamicFormLibrary } from "@dynamic-forms/material";
import * as i02 from "@angular/core";
var matDynamicFormInputMaskType = {
  type: "input-mask",
  component: MatDynamicFormInputMaskComponent,
  control: DynamicFormInputMaskControl,
  libraryName: matDynamicFormLibrary.name
};
function withMatDynamicFormInputMask() {
  return withDynamicFormInputs(matDynamicFormInputMaskType);
}
var MatDynamicFormInputMaskModule = class _MatDynamicFormInputMaskModule {
  static {
    this.ɵfac = i02.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: _MatDynamicFormInputMaskModule, deps: [], target: i02.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i02.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i02, type: _MatDynamicFormInputMaskModule });
  }
  static {
    this.ɵinj = i02.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: _MatDynamicFormInputMaskModule, providers: importDynamicFormsProviders(withMatDynamicFormInputMask()) });
  }
};
i02.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: MatDynamicFormInputMaskModule, decorators: [{
  type: NgModule,
  args: [{ providers: importDynamicFormsProviders(withMatDynamicFormInputMask()) }]
}] });
export {
  MatDynamicFormInputMaskComponent,
  MatDynamicFormInputMaskModule,
  matDynamicFormInputMaskType,
  withMatDynamicFormInputMask
};
//# sourceMappingURL=dynamic-forms-material-input-mask.mjs.map
